Loading...
Searching...
No Matches
doc_what_is_sidref Class Reference

## Detailed Description

In SBML, object identifiers are of a data type called `SId`. In SBML Level 3, an explicit data type called `SIdRef` was introduced for attribute values that refer to `SId` values; in previous Levels of SBML, this data type did not exist and attributes were simply described to as "referring to an identifier", but the effective data type was the same as `SIdRef` in Level 3. These and other methods of libSBML refer to the type `SIdRef` for all Levels of SBML, even if the corresponding SBML specification did not explicitly name the data type.